import 'package:pshared/data/dto/describable.dart';
import 'package:pshared/models/describable.dart';


extension DescribableMapper on Describable {
  DescribableDTO toDTO() => DescribableDTO(
    name: name,
    description: description,
  );
}

extension DescribableDTOMapper on DescribableDTO {
  Describable toDomain() => newDescribable(
    name: name,
    description: description,
  );
}